import { Middleware, StatusCodes } from 'org.crazydoctor.expressts';
import {NextFunction, Request, Response} from 'express';

class NotFoundErrorHandler extends Middleware {
	protected order = 9998;
	protected route = null;
	protected action = (req: Request, res: Response, next: NextFunction): any => {
		res.status(StatusCodes.NOT_FOUND).render('404', { page: req.url });
	};
}

export default NotFoundErrorHandler;